Skip to main content
Contact / Type Allocations

Update contact type allocation

This method requires Contacts:Create permission to be associated with the role.

POST
/fm/contact/type/allocations/{contact_id}/{contact_type_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
contact_idstringrequired

Contact Id

Maximum string length: 20
Pattern: ^[1-9]{1}[0-9]*$
contact_type_idstringrequired

Contact type Id

Maximum string length: 20
Pattern: ^[1-9]{1}[0-9]*$

Body

application/x-www-form-urlencoded
email_typeenum<string>required
Available options: to, cc, bcc, null

Response

application/vnd.catch-e-api.v1+json

Success

itemsobject[]